int NbNode = ...;              // Number of nodes

range Node 1..NbNode;

float DistanceMatrix[Node,Node] = ...;        // Distance between nodes

import Open SZERO;
import Open SONE;

var float x[Node,Node] in 0..1;         // relaxed decision whether to take an edge

minimize
   sum(i in Node) ( sum(j in Node) DistanceMatrix[i,j] * x[i,j] )     // objective

subject to
{
      forall(i in Node)
        forall(j in 1..i)
         x[i,j] = 0;   // remove unnecessary variables.

      forall(i in Node)        
         sum(j in Node) x[i,j] + sum(j in Node) x[j,i] = 2; // two edges chosen at every node
      
      forall(k in 1..SZERO.up)                 
         sum(i in SZERO[k]) (sum(j in SONE[k]) x[i,j]) 
          + sum(i in SZERO[k]) (sum(j in SONE[k]) x[j,i]) >= 2; 

};