import int NbNode;              // Number of nodes
import int source;
import int sink;

range Node 1..NbNode;

import float xstar[Node,Node] ;        // Best decisions from reltsp.mod

var float z[Node,Node] in 0..1;  // mincut decisions
var int y[Node] in 0..1; // set assignments

minimize
   sum(i in Node) ( sum(j in Node) xstar[i,j] * z[i,j] )     // objective

subject to
{
      forall(i in Node)        
        forall(j in Node)        
            z[i,j] >= y[j] - y[i];

      forall(i in Node)        
        forall(j in Node)        
            z[i,j] >= y[i] - y[j];
         
        y[source] = 0; // source node assignment
        y[sink] = 1; // source node assignment

};

setting cplexLogFile = "reltsp.log";